Expenses

Update Hris Expense

Owner edits a pending line item (amounts, currency, category, files, report), re-resolving FX and totals.

POSThttps://api.toku.com/hris/update-hris-expense

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/update-hris-expense' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "hrisExpenseID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "hrisExpenseReportID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "merchant": "string",
  "description": "string",
  "hrisExpenseCategoryID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "expensedDate": "2026-01-01T00:00:00Z",
  "amountSpent": "string",
  "currencySpentID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "amountInExpenseCurrency": "string",
  "expensedCurrencyID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "exchangeRateFromCurrencySpentToExpense": "string",
  "spentAmount": "string",
  "spentCurrencyID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "reimbursableAmount": "string",
  "reimbursementCurrencyID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "fxRate": "string",
  "isReimbursable": true,
  "fileIDs": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}'
200 response
{
  "hrisExpenseID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

hrisExpenseIDstring<uuid>required
hrisExpenseReportIDstring | null<uuid>
merchantstring

NOTE(ck): a .transform() rule is not mirrored here; TGA still enforces it

descriptionstring

NOTE(ck): a .transform() rule is not mirrored here; TGA still enforces it

hrisExpenseCategoryIDstring | null<uuid>
expensedDatestring<date-time>
amountSpentstring | any | number

NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still checks it

currencySpentIDstring<uuid>
amountInExpenseCurrencystring | any | number

NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still checks it

expensedCurrencyIDstring | null<uuid>
exchangeRateFromCurrencySpentToExpensestring | any | number

NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still checks it

spentAmountstring | any | number

NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still checks it

spentCurrencyIDstring<uuid>
reimbursableAmountstring | any | number

NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still checks it

reimbursementCurrencyIDstring | null<uuid>
fxRatestring | any | number

NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still checks it

isReimbursableboolean
fileIDsstring<uuid>[]

Allowed: at most 20 items

Response

200Successful response
hrisExpenseIDstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits